//
// Created by marvin on 9/13/18.
//

#include "search_statistics_expanded.h"

SearchStatisticsExpanded::SearchStatisticsExpanded() {
    pruned_states = 0;
    real_goal_states = 0;
    frontier_meetings = 0;
    expansions_before_first_meeting = -1; // -1 if they didn't meet, or just not yet
    dead_goal_states = 0;
}

void SearchStatisticsExpanded::set_expansions_before_first_meeting(int val) {
    if (expansions_before_first_meeting == -1){
        expansions_before_first_meeting = val;
    }
}
